Page MenuHomePhabricator

Recheck runs parsoidsvc-php-parsertests on last revision project wide, not patchset
Closed, ResolvedPublic

Description

The events,

  1. https://gerrit.wikimedia.org/r/#/c/235402/ failed because of changes in core
  2. Synced parserTests with core
  3. Should have rebased on those changes but instead just did a recheck
  4. Tests passed?!

Before step 3, I rebased https://gerrit.wikimedia.org/r/#/c/231686/
That's the rGPARd88b5d9dc491 you see in https://integration.wikimedia.org/ci/job/parsoidsvc-php-parsertests/5746/console

Event Timeline

Arlolra created this task.Sep 2 2015, 9:58 PM
Arlolra raised the priority of this task from to Needs Triage.
Arlolra updated the task description. (Show Details)
Arlolra added subscribers: Arlolra, hashar, ssastry.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2015, 9:58 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 24 2016, 6:45 PM

This happened again yesterday. https://github.com/wikimedia/parsoid/commit/e701d9cb3427942185e9bcf670c9a00bffdc7f1c broke a parser tests and this patch should not have passed the parsoidsvc-php-parsertests jenkins job. The job finally caught up in https://integration.wikimedia.org/ci/job/parsoidsvc-php-parsertests/6898/console

18:39:28 -<p>[<a rel="nofollow" class="external autonumber" href="http://google.com">[1]</a>]
18:39:28 +</p><p>[<a rel="nofollow" class="external autonumber" href="http://google.com">[1]</a>]

So, looks like something is going on where the wrong test file is being used .. caching?

I have marked the build parsoidscvc-php-parsertests #6898 in Jenkins to be kept for ever. Nonetheless the console output is pasted

Triggered by change: 272790,1
Branch: master
Pipeline: test

1Started by user anonymous
2Building remotely on integration-slave-trusty-1017 (phpflavor-hhvm contintLabsSlave UbuntuTrusty phpflavor-php55) in workspace /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests
3[parsoidsvc-php-parsertests] $ /bin/bash -xe /tmp/hudson8995846420692780991.sh
4+ zuul-cloner --version
5Zuul version: 2.1.0-60-g1cc37f7-wmf4trusty1
6+ zuul-cloner --color --verbose --map /srv/deployment/integration/slave-scripts/etc/zuul-parsoid-clonemap.yaml --workspace . https://gerrit.wikimedia.org/r/p mediawiki/core mediawiki/services/parsoid
7INFO:zuul.Cloner:Loaded map containing 2 rules
8INFO:zuul.CloneMapper:Workspace path set to: .
9INFO:zuul.CloneMapper:Mapping projects to workspace...
10INFO:zuul.CloneMapper: mediawiki/core -> src/mediawiki/core
11INFO:zuul.CloneMapper: mediawiki/services/parsoid -> parsoidsvc
12DEBUG:zuul.CloneMapper:Checking overlap in destination directories...
13INFO:zuul.CloneMapper:Expansion completed.
14INFO:zuul.Cloner:Preparing 2 repositories
15INFO:zuul.Cloner:Creating repo mediawiki/core from upstream https://gerrit.wikimedia.org/r/p/mediawiki/core
16DEBUG:zuul.Repo:Resetting repository src/mediawiki/core
17DEBUG:zuul.Repo:Updating repository src/mediawiki/core
18INFO:zuul.Cloner:upstream repo has branch master
19DEBUG:zuul.Cloner:Project mediawiki/core in Zuul does not have ref refs/zuul/master/Zb978def476574f59a5ebca63c8dfe6de
20INFO:zuul.Cloner:Falling back to branch master
21DEBUG:zuul.Repo:Checking out remotes/origin/master
22INFO:zuul.Cloner:Prepared mediawiki/core repo with branch master at commit 517e327a3ffaf48bb15407573cc0c813c5a90e5c
23INFO:zuul.Cloner:Creating repo mediawiki/services/parsoid from upstream https://gerrit.wikimedia.org/r/p/mediawiki/services/parsoid
24DEBUG:zuul.Repo:Resetting repository parsoidsvc
25DEBUG:zuul.Repo:Updating repository parsoidsvc
26INFO:zuul.Cloner:upstream repo has branch master
27DEBUG:zuul.Cloner:Fetched ref refs/zuul/master/Zb978def476574f59a5ebca63c8dfe6de from mediawiki/services/parsoid
28DEBUG:zuul.Repo:Checking out cba879a076f17d8676a8e928d980a6678c9ea795
29INFO:zuul.Cloner:Prepared mediawiki/services/parsoid repo with commit cba879a076f17d8676a8e928d980a6678c9ea795
30INFO:zuul.Cloner:Prepared all repositories
31[parsoidsvc-php-parsertests] $ /bin/bash -xe /tmp/hudson7371677717642116638.sh
32+ set -u
33+ cd src/mediawiki/core
34+ [[ -f composer.json ]]
35+ composer update --ansi --no-progress --prefer-dist --profile -v
36[8.1MB/0.35s] Loading composer repositories with package information
37[8.5MB/0.89s] Updating dependencies (including require-dev)
38[100.0MB/7.12s] - Installing wikimedia/composer-merge-plugin (v1.3.0)
39[100.5MB/7.18s] Loading from cache
40[100.5MB/7.18s] Extracting archive
41[100.6MB/7.30s]
42[100.7MB/7.31s] [merge-plugin] composer-merge-plugin installed
43[100.7MB/7.31s] - Installing composer/semver (1.2.0)
44[100.7MB/7.32s] Loading from cache
45[100.7MB/7.32s] Extracting archive
46[100.7MB/7.36s]
47[100.7MB/7.37s] - Installing cssjanus/cssjanus (v1.1.2)
48[100.7MB/7.37s] Loading from cache
49[100.7MB/7.38s] Extracting archive
50[100.8MB/7.40s]
51[100.7MB/7.41s] - Installing liuggio/statsd-php-client (v1.0.18)
52[100.7MB/7.42s] Loading from cache
53[100.7MB/7.42s] Extracting archive
54[100.8MB/7.46s]
55[100.8MB/7.47s] - Installing mediawiki/at-ease (v1.1.0)
56[100.8MB/7.47s] Loading from cache
57[100.8MB/7.47s] Extracting archive
58[100.8MB/7.52s]
59[100.8MB/7.52s] - Installing oojs/oojs-ui (v0.16.0)
60[100.8MB/7.54s] Loading from cache
61[100.8MB/7.54s] Extracting archive
62[100.9MB/7.62s]
63[100.8MB/7.63s] - Installing oyejorge/less.php (v1.7.0.10)
64[100.8MB/7.64s] Loading from cache
65[100.8MB/7.64s] Extracting archive
66[100.9MB/7.70s]
67[100.8MB/7.71s] - Installing wikimedia/assert (v0.2.2)
68[100.8MB/7.71s] Loading from cache
69[100.8MB/7.71s] Extracting archive
70[100.9MB/7.74s]
71[100.9MB/7.76s] - Installing wikimedia/base-convert (v1.0.1)
72[100.9MB/7.77s] Loading from cache
73[100.9MB/7.77s] Extracting archive
74[100.9MB/7.80s]
75[100.9MB/7.81s] - Installing wikimedia/cdb (1.3.0)
76[100.9MB/7.82s] Loading from cache
77[100.9MB/7.82s] Extracting archive
78[100.9MB/7.85s]
79[100.9MB/7.86s] - Installing wikimedia/cldr-plural-rule-parser (v1.0.0)
80[100.9MB/7.90s] Loading from cache
81[100.9MB/7.90s] Extracting archive
82[100.9MB/7.92s]
83[100.9MB/7.93s] - Installing wikimedia/ip-set (1.0.1)
84[100.9MB/7.93s] Loading from cache
85[100.9MB/7.93s] Extracting archive
86[100.9MB/7.96s]
87[100.9MB/7.97s] - Installing psr/log (1.0.0)
88[100.9MB/7.97s] Loading from cache
89[100.9MB/7.97s] Extracting archive
90[100.9MB/8.00s]
91[100.9MB/8.01s] - Installing wikimedia/php-session-serializer (v1.0.3)
92[100.9MB/8.01s] Loading from cache
93[100.9MB/8.01s] Extracting archive
94[101.0MB/8.04s]
95[100.9MB/8.06s] - Installing wikimedia/relpath (1.0.3)
96[100.9MB/8.06s] Loading from cache
97[100.9MB/8.06s] Extracting archive
98[101.0MB/8.10s]
99[100.9MB/8.11s] - Installing wikimedia/running-stat (v1.1.0)
100[100.9MB/8.12s] Loading from cache
101[100.9MB/8.12s] Extracting archive
102[101.0MB/8.17s]
103[101.0MB/8.19s] - Installing wikimedia/utfnormal (v1.0.3)
104[101.0MB/8.19s] Loading from cache
105[101.0MB/8.19s] Extracting archive
106[101.0MB/8.24s]
107[101.0MB/8.25s] - Installing wikimedia/wrappedstring (v2.0.0)
108[101.0MB/8.26s] Loading from cache
109[101.0MB/8.26s] Extracting archive
110[101.0MB/8.29s]
111[101.0MB/8.31s] - Installing zordius/lightncandy (v0.23)
112[101.0MB/8.32s] Loading from cache
113[101.0MB/8.32s] Extracting archive
114[101.1MB/8.37s]
115[101.0MB/8.39s] - Installing jakub-onderka/php-parallel-lint (v0.9.2)
116[101.0MB/8.39s] Loading from cache
117[101.0MB/8.39s] Extracting archive
118[101.1MB/8.43s]
119[101.0MB/8.44s] - Installing squizlabs/php_codesniffer (2.5.1)
120[101.0MB/8.46s] Loading from cache
121[101.0MB/8.46s] Extracting archive
122[101.2MB/8.58s]
123[101.1MB/8.58s] - Installing mediawiki/mediawiki-codesniffer (v0.6.0)
124[101.1MB/8.59s] Loading from cache
125[101.1MB/8.59s] Extracting archive
126[101.2MB/8.64s]
127[101.2MB/8.65s] - Installing monolog/monolog (1.17.2)
128[101.2MB/8.66s] Loading from cache
129[101.2MB/8.66s] Extracting archive
130[101.3MB/8.72s]
131[101.2MB/8.73s] - Installing nikic/php-parser (v1.4.1)
132[101.2MB/8.76s] Loading from cache
133[101.2MB/8.76s] Extracting archive
134[101.4MB/8.84s]
135[101.3MB/8.85s] - Installing nmred/kafka-php (v0.1.5)
136[101.3MB/8.86s] Loading from cache
137[101.3MB/8.86s] Extracting archive
138[101.3MB/8.89s]
139[101.3MB/8.90s] - Installing sebastian/version (1.0.6)
140[101.3MB/8.91s] Loading from cache
141[101.3MB/8.91s] Extracting archive
142[101.4MB/8.94s]
143[101.3MB/8.95s] - Installing sebastian/global-state (1.1.1)
144[101.3MB/8.96s] Loading from cache
145[101.3MB/8.96s] Extracting archive
146[101.4MB/9.00s]
147[101.3MB/9.01s] - Installing sebastian/recursion-context (1.0.2)
148[101.3MB/9.05s] Loading from cache
149[101.3MB/9.05s] Extracting archive
150[101.4MB/9.08s]
151[101.4MB/9.09s] - Installing sebastian/exporter (1.2.1)
152[101.4MB/9.10s] Loading from cache
153[101.4MB/9.10s] Extracting archive
154[101.4MB/9.12s]
155[101.4MB/9.14s] - Installing sebastian/environment (1.3.3)
156[101.4MB/9.15s] Loading from cache
157[101.4MB/9.15s] Extracting archive
158[101.4MB/9.19s]
159[101.4MB/9.21s] - Installing sebastian/diff (1.4.1)
160[101.4MB/9.21s] Loading from cache
161[101.4MB/9.21s] Extracting archive
162[101.5MB/9.25s]
163[101.4MB/9.26s] - Installing sebastian/comparator (1.2.0)
164[101.4MB/9.27s] Loading from cache
165[101.4MB/9.27s] Extracting archive
166[101.5MB/9.31s]
167[101.4MB/9.34s] - Installing symfony/yaml (v3.0.2)
168[101.4MB/9.34s] Loading from cache
169[101.4MB/9.34s] Extracting archive
170[101.5MB/9.41s]
171[101.4MB/9.42s] - Installing doctrine/instantiator (1.0.5)
172[101.5MB/9.43s] Loading from cache
173[101.4MB/9.43s] Extracting archive
174[101.5MB/9.46s]
175[101.5MB/9.48s] - Installing phpdocumentor/reflection-docblock (2.0.4)
176[101.5MB/9.48s] Loading from cache
177[101.5MB/9.48s] Extracting archive
178[101.5MB/9.53s]
179[101.5MB/9.55s] - Installing phpspec/prophecy (v1.6.0)
180[101.5MB/9.59s] Loading from cache
181[101.5MB/9.59s] Extracting archive
182[101.6MB/9.67s]
183[101.5MB/9.68s] - Installing phpunit/php-text-template (1.2.1)
184[101.5MB/9.69s] Loading from cache
185[101.5MB/9.69s] Extracting archive
186[101.6MB/9.72s]
187[101.6MB/9.75s] - Installing phpunit/phpunit-mock-objects (2.3.8)
188[101.6MB/9.76s] Loading from cache
189[101.6MB/9.76s] Extracting archive
190[101.7MB/9.82s]
191[101.6MB/9.84s] - Installing phpunit/php-timer (1.0.7)
192[101.6MB/9.85s] Loading from cache
193[101.6MB/9.85s] Extracting archive
194[101.6MB/9.89s]
195[101.6MB/9.90s] - Installing phpunit/php-token-stream (1.4.8)
196[101.6MB/9.92s] Loading from cache
197[101.6MB/9.92s] Extracting archive
198[101.7MB/9.96s]
199[101.6MB/9.98s] - Installing phpunit/php-file-iterator (1.4.1)
200[101.6MB/9.99s] Loading from cache
201[101.6MB/9.99s] Extracting archive
202[101.7MB/10.03s]
203[101.6MB/10.06s] - Installing phpunit/php-code-coverage (2.2.4)
204[101.6MB/10.08s] Loading from cache
205[101.6MB/10.08s] Extracting archive
206[101.8MB/10.17s]
207[101.7MB/10.20s] - Installing phpunit/phpunit (4.8.23)
208[101.7MB/10.22s] Loading from cache
209[101.7MB/10.22s] Extracting archive
210[101.9MB/10.40s]
211[101.8MB/10.42s] - Installing wikimedia/avro (v1.7.7)
212[101.8MB/10.42s] Loading from cache
213[101.8MB/10.42s] Extracting archive
214[101.8MB/10.47s]
215[101.8MB/10.50s] - Installing justinrainbow/json-schema (1.6.1)
216[101.8MB/10.51s] Loading from cache
217[101.8MB/10.51s] Extracting archive
218[101.9MB/10.56s]
219[87.1MB/11.03s] jakub-onderka/php-parallel-lint suggests installing jakub-onderka/php-console-highlighter (Highlight syntax in code snippet)
220[87.1MB/11.03s] monolog/monolog suggests installing graylog2/gelf-php (Allow sending log messages to a GrayLog2 server)
221[87.1MB/11.04s] monolog/monolog suggests installing raven/raven (Allow sending log messages to a Sentry server)
222[87.1MB/11.04s] monolog/monolog suggests installing doctrine/couchdb (Allow sending log messages to a CouchDB server)
223[87.1MB/11.04s] monolog/monolog suggests installing ruflin/elastica (Allow sending log messages to an Elastic Search server)
224[87.1MB/11.04s] monolog/monolog suggests installing videlalvaro/php-amqplib (Allow sending log messages to an AMQP server using php-amqplib)
225[87.1MB/11.04s] monolog/monolog suggests installing ext-amqp (Allow sending log messages to an AMQP server (1.0+ required))
226[87.1MB/11.04s] monolog/monolog suggests installing ext-mongo (Allow sending log messages to a MongoDB server)
227[87.1MB/11.05s] monolog/monolog suggests installing aws/aws-sdk-php (Allow sending log messages to AWS services like DynamoDB)
228[87.1MB/11.05s] monolog/monolog suggests installing rollbar/rollbar (Allow sending log messages to Rollbar)
229[87.1MB/11.05s] monolog/monolog suggests installing php-console/php-console (Allow sending log messages to Google Chrome)
230[87.1MB/11.05s] sebastian/global-state suggests installing ext-uopz (*)
231[87.1MB/11.05s] phpdocumentor/reflection-docblock suggests installing dflydev/markdown (~1.0)
232[87.1MB/11.05s] phpdocumentor/reflection-docblock suggests installing erusev/parsedown (~1.0)
233[87.1MB/11.06s] phpunit/phpunit suggests installing phpunit/php-invoker (~1.1)
234[87.1MB/11.06s] wikimedia/avro suggests installing ext-gmp (Large integer support for 32-bit platforms.)
235[88.4MB/11.20s] Writing lock file
236[88.4MB/11.21s] Generating optimized autoload files
237[89.0MB/12.24s] [merge-plugin] Running additional update to apply merge settings
238[89.9MB/12.42s] Loading composer repositories with package information
239[90.2MB/12.88s] Updating dependencies (including require-dev)
240[181.5MB/18.03s] Nothing to install or update
241[167.3MB/18.18s] Generating optimized autoload files
242[165.7MB/19.11s] Memory usage: 165.68MB (peak: 181.68MB), time: 19.11s
243[parsoidsvc-php-parsertests] $ /bin/bash -xe /tmp/hudson4296464368583153751.sh
244+ export MW_INSTALL_PATH=src/mediawiki/core
245+ MW_INSTALL_PATH=src/mediawiki/core
246+ /srv/deployment/integration/slave-scripts/bin/mw-install-sqlite.sh
247PHP 5.5.9-1ubuntu4.14 is installed.
248Warning: Could not find APCu, XCache or WinCache.
249Object caching is not enabled.
250Found ImageMagick: /usr/bin/convert.
251Image thumbnailing will be enabled if you enable uploads.
252Found the Git version control software: /usr/bin/git.
253Warning: No --scriptpath specified, using default: /wiki.
254Using server URL "/wiki".
255Warning: Your default directory for uploads (/mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/images/) is not checked for vulnerability
256to arbitrary script execution during the CLI install.
257Using the intl PECL extension for Unicode normalization.
258The environment has been checked.
259You can install MediaWiki.
260Setting up database
261done
262Creating tables
263done
264Populating default interwiki table
265done
266Initializing statistics
267done
268Generating secret keys
269done
270Prevent running unneeded updates
271done
272Creating administrator user account
273done
274Creating main page with default content
275done
276[parsoidsvc-php-parsertests] $ /bin/bash -xe /tmp/hudson6797877411154660694.sh
277+ find -name parserTests.txt -print0
278+ xargs -0 md5sum -b
2794fc4d123f0223f664a977007cbbf41c8 *./parsoidsvc/tests/parserTests.txt
280dcb5e85bde640981b578f4446ea9f6ac *./src/mediawiki/core/tests/parser/parserTests.txt
281+ cd src/mediawiki/core
282+ php tests/parserTests.php --color=no --quiet --file=/mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt
283This is MediaWiki version 1.27.0-alpha (517e327).
284
285Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt
286Running test Handle broken pre-like tags (bug 64025)... FAILED!
287--- /tmp/mwParser-66948626-expected 2016-02-23 18:38:22.620243908 +0000
288+++ /tmp/mwParser-66948626-actual 2016-02-23 18:38:22.624243903 +0000
289@@ -1,4 +1,3 @@
290 <pre>
291 x
292 </pre>
293-<p>&lt;pre</p>
294Running test Handle broken pre-like tags (bug 64025)... FAILED!
295--- /tmp/mwParser-1760398200-expected 2016-02-23 18:38:22.676243849 +0000
296+++ /tmp/mwParser-1760398200-actual 2016-02-23 18:38:22.676243849 +0000
297@@ -1,3 +1,3 @@
298 <pre>x</pre>
299-<table>&lt;pre </table>
300+<table><pre></pre></table>
301
302Running test Un-closed <includeonly>... FAILED!
303--- /tmp/mwParser-307468601-expected 2016-02-23 18:38:40.368225427 +0000
304+++ /tmp/mwParser-307468601-actual 2016-02-23 18:38:40.368225427 +0000
305@@ -1,2 +1 @@
306-<p>&lt;includeonly&gt;
307-</p>
308+
309Running test div with empty attribute value, no space before equals... FAILED!
310--- /tmp/mwParser-518990290-expected 2016-02-23 18:38:56.120209060 +0000
311+++ /tmp/mwParser-518990290-actual 2016-02-23 18:38:56.120209060 +0000
312@@ -1,2 +1,2 @@
313-<div>HTML rocks</div>
314+<div class="">HTML rocks</div>
315
316Running test Attribute test: equals, then nothing... FAILED!
317--- /tmp/mwParser-2123459676-expected 2016-02-23 18:38:57.904207208 +0000
318+++ /tmp/mwParser-2123459676-actual 2016-02-23 18:38:57.908207204 +0000
319@@ -1,2 +1,2 @@
320-<p><font>foo</font>
321+<p><font color="">foo</font>
322 </p>
323Running test Links 4. ExtLinks: Escapes needed... FAILED!
324--- /tmp/mwParser-1526987861-expected 2016-02-23 18:39:28.800175207 +0000
325+++ /tmp/mwParser-1526987861-actual 2016-02-23 18:39:28.804175203 +0000
326@@ -2,6 +2,6 @@
327 <a rel="nofollow" class="external text" href="http://google.com">google]</a>
328 </p><p>[http://google.com]
329 </p><p>[http://google.com google]
330-</p><p>[<a rel="nofollow" class="external text" href="http://google.com">http://google.com</a>]
331-</p><p>[<a rel="nofollow" class="external text" href="http://google.com">http://google.com</a>]
332+</p><p>[<a rel="nofollow" class="external free" href="http://google.com">http://google.com</a>]
333+</p><p>[<a rel="nofollow" class="external free" href="http://google.com">http://google.com</a>]
334 </p>
335Running test Links 5. ExtLinks: No escapes needed... FAILED!
336--- /tmp/mwParser-1933344808-expected 2016-02-23 18:39:28.896175108 +0000
337+++ /tmp/mwParser-1933344808-actual 2016-02-23 18:39:28.896175108 +0000
338@@ -1,3 +1,3 @@
339 <p><a rel="nofollow" class="external text" href="http://google.com">[google</a>
340-<p>[<a rel="nofollow" class="external autonumber" href="http://google.com">[1]</a>]
341+</p><p>[<a rel="nofollow" class="external autonumber" href="http://google.com">[1]</a>]
342 </p>
343Passed 1321 of 1328 tests (99.47%)... 7 tests failed!
344Build step 'Execute shell' marked build as failure
345[PostBuildScript] - Execution post build scripts.
346[parsoidsvc-php-parsertests] $ /bin/bash -xe /tmp/hudson1775141652498682969.sh
347+ /srv/deployment/integration/slave-scripts/bin/mw-teardown.sh
348Finished: FAILURE

Which has Prepared mediawiki/services/parsoid repo with commit cba879a076f17d8676a8e928d980a6678c9ea795 which is patchset 1 of https://gerrit.wikimedia.org/r/#/c/272790/

continuing below

If the regression occurred in mediawiki/services/parsoid e701d9cb3427942185e9bcf670c9a00bffdc7f1c we want to analyzes that commit build results and figure out why they passed.

That is patchset 5 (and final) of https://gerrit.wikimedia.org/r/#/c/267935/ . It received a CodeReview +2 vote which triggered Zuul gate-and-submit, that in turns triggered the job parsoidsvc-php-parsertests #6815. I have marked the build to be kept forever in Jenkins.

Triggered by change: 267935,5
Branch: master
Pipeline: gate-and-submit

Paste is:

1Started by user anonymous
2Building remotely on integration-slave-precise-1012 (phpflavor-php53 contintLabsSlave phpflavor-zend UbuntuPrecise) in workspace /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests
3[parsoidsvc-php-parsertests] $ /bin/bash -xe /tmp/hudson5471336605568702698.sh
4+ zuul-cloner --version
5Zuul version: 2.1.0-60-g1cc37f7-wmf4precise1
6+ zuul-cloner --color --verbose --map /srv/deployment/integration/slave-scripts/etc/zuul-parsoid-clonemap.yaml --workspace . https://gerrit.wikimedia.org/r/p mediawiki/core mediawiki/services/parsoid
7INFO:zuul.Cloner:Loaded map containing 2 rules
8INFO:zuul.CloneMapper:Workspace path set to: .
9INFO:zuul.CloneMapper:Mapping projects to workspace...
10INFO:zuul.CloneMapper: mediawiki/core -> src/mediawiki/core
11INFO:zuul.CloneMapper: mediawiki/services/parsoid -> parsoidsvc
12DEBUG:zuul.CloneMapper:Checking overlap in destination directories...
13INFO:zuul.CloneMapper:Expansion completed.
14INFO:zuul.Cloner:Preparing 2 repositories
15INFO:zuul.Cloner:Creating repo mediawiki/core from upstream https://gerrit.wikimedia.org/r/p/mediawiki/core
16DEBUG:zuul.Repo:Resetting repository src/mediawiki/core
17DEBUG:zuul.Repo:Updating repository src/mediawiki/core
18INFO:zuul.Cloner:upstream repo has branch master
19DEBUG:zuul.Cloner:Project mediawiki/core in Zuul does not have ref refs/zuul/master/Za5900655466c4d38a034fce531013f0b
20INFO:zuul.Cloner:Falling back to branch master
21DEBUG:zuul.Repo:Checking out remotes/origin/master
22INFO:zuul.Cloner:Prepared mediawiki/core repo with branch master at commit 419db58c8b224db5096a1564a09177a0d0509662
23INFO:zuul.Cloner:Creating repo mediawiki/services/parsoid from upstream https://gerrit.wikimedia.org/r/p/mediawiki/services/parsoid
24DEBUG:zuul.Repo:Resetting repository parsoidsvc
25DEBUG:zuul.Repo:Updating repository parsoidsvc
26INFO:zuul.Cloner:upstream repo has branch master
27DEBUG:zuul.Cloner:Fetched ref refs/zuul/master/Za5900655466c4d38a034fce531013f0b from mediawiki/services/parsoid
28DEBUG:zuul.Repo:Checking out e701d9cb3427942185e9bcf670c9a00bffdc7f1c
29INFO:zuul.Cloner:Prepared mediawiki/services/parsoid repo with commit e701d9cb3427942185e9bcf670c9a00bffdc7f1c
30INFO:zuul.Cloner:Prepared all repositories
31[parsoidsvc-php-parsertests] $ /bin/bash -xe /tmp/hudson5330521608762902120.sh
32+ set -u
33+ cd src/mediawiki/core
34+ [[ -f composer.json ]]
35+ composer update --ansi --no-progress --prefer-dist --profile -v
36[15.8MB/0.11s] Loading composer repositories with package information
37[17.0MB/0.60s] Updating dependencies (including require-dev)
38[197.5MB/7.39s] - Installing wikimedia/composer-merge-plugin (v1.3.0)
39[198.4MB/7.40s] Loading from cache
40[198.3MB/7.40s] Extracting archive
41[198.5MB/7.46s]
42[198.7MB/7.46s] [merge-plugin] composer-merge-plugin installed
43[198.7MB/7.47s] - Installing composer/semver (1.2.0)
44[198.7MB/7.48s] Loading from cache
45[198.7MB/7.48s] Extracting archive
46[198.8MB/7.52s]
47[198.8MB/7.54s] - Installing cssjanus/cssjanus (v1.1.2)
48[198.8MB/7.55s] Loading from cache
49[198.8MB/7.55s] Extracting archive
50[198.8MB/7.59s]
51[198.8MB/7.62s] - Installing liuggio/statsd-php-client (v1.0.18)
52[198.8MB/7.62s] Loading from cache
53[198.8MB/7.62s] Extracting archive
54[198.9MB/7.67s]
55[198.8MB/7.70s] - Installing mediawiki/at-ease (v1.1.0)
56[198.8MB/7.70s] Loading from cache
57[198.8MB/7.70s] Extracting archive
58[198.9MB/7.74s]
59[198.9MB/7.78s] - Installing oojs/oojs-ui (v0.15.2)
60[198.9MB/7.79s] Downloading
61[198.9MB/7.87s] Extracting archive
62[199.0MB/7.94s]
63[199.0MB/7.97s] - Installing oyejorge/less.php (v1.7.0.9)
64[199.0MB/7.97s] Loading from cache
65[199.0MB/7.97s] Extracting archive
66[199.1MB/8.01s]
67[199.0MB/8.04s] - Installing wikimedia/assert (v0.2.2)
68[199.0MB/8.04s] Loading from cache
69[199.0MB/8.05s] Extracting archive
70[199.1MB/8.08s]
71[199.0MB/8.12s] - Installing wikimedia/base-convert (v1.0.1)
72[199.1MB/8.12s] Loading from cache
73[199.0MB/8.12s] Extracting archive
74[199.1MB/8.16s]
75[199.1MB/8.20s] - Installing wikimedia/cdb (1.3.0)
76[199.1MB/8.20s] Loading from cache
77[199.1MB/8.20s] Extracting archive
78[199.1MB/8.24s]
79[199.1MB/8.29s] - Installing wikimedia/cldr-plural-rule-parser (v1.0.0)
80[199.1MB/8.29s] Loading from cache
81[199.1MB/8.29s] Extracting archive
82[199.2MB/8.32s]
83[199.2MB/8.40s] - Installing wikimedia/ip-set (1.0.1)
84[199.2MB/8.40s] Loading from cache
85[199.2MB/8.40s] Extracting archive
86[199.2MB/8.44s]
87[199.2MB/8.49s] - Installing wikimedia/relpath (1.0.3)
88[199.2MB/8.49s] Loading from cache
89[199.2MB/8.49s] Extracting archive
90[199.2MB/8.52s]
91[199.2MB/8.58s] - Installing wikimedia/running-stat (v1.1.0)
92[199.2MB/8.58s] Loading from cache
93[199.2MB/8.58s] Extracting archive
94[199.3MB/8.62s]
95[199.3MB/8.68s] - Installing wikimedia/utfnormal (v1.0.3)
96[199.3MB/8.68s] Loading from cache
97[199.3MB/8.68s] Extracting archive
98[199.3MB/8.73s]
99[199.3MB/8.79s] - Installing wikimedia/wrappedstring (v2.0.0)
100[199.3MB/8.79s] Loading from cache
101[199.3MB/8.79s] Extracting archive
102[199.4MB/8.82s]
103[199.3MB/8.89s] - Installing zordius/lightncandy (v0.23)
104[199.4MB/8.89s] Loading from cache
105[199.3MB/8.89s] Extracting archive
106[199.5MB/8.93s]
107[199.4MB/9.00s] - Installing jakub-onderka/php-parallel-lint (v0.9.2)
108[199.4MB/9.00s] Loading from cache
109[199.4MB/9.00s] Extracting archive
110[199.5MB/9.04s]
111[199.4MB/9.11s] - Installing squizlabs/php_codesniffer (2.5.0)
112[199.4MB/9.12s] Loading from cache
113[199.4MB/9.12s] Extracting archive
114[199.6MB/9.21s]
115[199.6MB/9.30s] - Installing mediawiki/mediawiki-codesniffer (v0.5.1)
116[199.6MB/9.30s] Loading from cache
117[199.6MB/9.30s] Extracting archive
118[199.7MB/9.33s]
119[199.6MB/9.42s] - Installing psr/log (1.0.0)
120[199.6MB/9.42s] Loading from cache
121[199.6MB/9.42s] Extracting archive
122[199.7MB/9.45s]
123[199.7MB/9.55s] - Installing monolog/monolog (1.17.2)
124[199.7MB/9.55s] Loading from cache
125[199.7MB/9.55s] Extracting archive
126[199.8MB/9.60s]
127[199.7MB/9.70s] - Installing nikic/php-parser (v1.4.1)
128[199.7MB/9.70s] Loading from cache
129[199.7MB/9.70s] Extracting archive
130[199.9MB/9.78s]
131[199.8MB/9.88s] - Installing nmred/kafka-php (v0.1.5)
132[199.8MB/9.88s] Loading from cache
133[199.8MB/9.88s] Extracting archive
134[199.9MB/9.92s]
135[199.9MB/10.03s] - Installing symfony/yaml (v2.8.2)
136[199.9MB/10.03s] Loading from cache
137[199.9MB/10.03s] Extracting archive
138[200.0MB/10.08s]
139[199.9MB/10.18s] - Installing phpunit/php-text-template (1.2.1)
140[199.9MB/10.18s] Loading from cache
141[199.9MB/10.18s] Extracting archive
142[200.0MB/10.21s]
143[200.0MB/10.33s] - Installing phpunit/phpunit-mock-objects (1.2.3)
144[200.0MB/10.33s] Loading from cache
145[200.0MB/10.33s] Extracting archive
146[200.1MB/10.39s]
147[200.0MB/10.51s] - Installing phpunit/php-timer (1.0.7)
148[200.0MB/10.51s] Loading from cache
149[200.0MB/10.51s] Extracting archive
150[200.1MB/10.54s]
151[200.1MB/10.66s] - Installing phpunit/php-token-stream (1.2.2)
152[200.1MB/10.66s] Loading from cache
153[200.1MB/10.66s] Extracting archive
154[200.2MB/10.71s]
155[200.1MB/10.95s] - Installing phpunit/php-file-iterator (1.4.1)
156[200.1MB/10.95s] Loading from cache
157[200.1MB/10.96s] Extracting archive
158[200.2MB/11.00s]
159[200.1MB/11.14s] - Installing phpunit/php-code-coverage (1.2.18)
160[200.2MB/11.14s] Loading from cache
161[200.1MB/11.14s] Extracting archive
162[200.3MB/11.19s]
163[200.2MB/11.33s] - Installing phpunit/phpunit (3.7.37)
164[200.2MB/11.33s] Loading from cache
165[200.2MB/11.33s] Extracting archive
166[200.4MB/11.41s]
167[200.3MB/11.57s] - Installing wikimedia/avro (v1.7.7)
168[200.3MB/11.57s] Loading from cache
169[200.3MB/11.57s] Extracting archive
170[200.4MB/11.61s]
171[200.4MB/11.76s] - Installing justinrainbow/json-schema (v1.6.0)
172[200.4MB/11.76s] Loading from cache
173[200.4MB/11.76s] Extracting archive
174[200.4MB/11.80s]
175[155.0MB/12.46s] jakub-onderka/php-parallel-lint suggests installing jakub-onderka/php-console-highlighter (Highlight syntax in code snippet)
176[155.0MB/12.47s] monolog/monolog suggests installing graylog2/gelf-php (Allow sending log messages to a GrayLog2 server)
177[155.0MB/12.47s] monolog/monolog suggests installing raven/raven (Allow sending log messages to a Sentry server)
178[155.0MB/12.47s] monolog/monolog suggests installing doctrine/couchdb (Allow sending log messages to a CouchDB server)
179[155.0MB/12.47s] monolog/monolog suggests installing ruflin/elastica (Allow sending log messages to an Elastic Search server)
180[155.0MB/12.48s] monolog/monolog suggests installing videlalvaro/php-amqplib (Allow sending log messages to an AMQP server using php-amqplib)
181[155.0MB/12.48s] monolog/monolog suggests installing ext-amqp (Allow sending log messages to an AMQP server (1.0+ required))
182[155.0MB/12.48s] monolog/monolog suggests installing ext-mongo (Allow sending log messages to a MongoDB server)
183[155.0MB/12.48s] monolog/monolog suggests installing aws/aws-sdk-php (Allow sending log messages to AWS services like DynamoDB)
184[155.0MB/12.49s] monolog/monolog suggests installing rollbar/rollbar (Allow sending log messages to Rollbar)
185[155.0MB/12.49s] monolog/monolog suggests installing php-console/php-console (Allow sending log messages to Google Chrome)
186[155.0MB/12.49s] phpunit/phpunit suggests installing phpunit/php-invoker (~1.1)
187[155.0MB/12.49s] wikimedia/avro suggests installing ext-gmp (Large integer support for 32-bit platforms.)
188[157.2MB/12.74s] Writing lock file
189[157.2MB/12.75s] Generating optimized autoload files
190[158.0MB/13.45s] [merge-plugin] Running additional update to apply merge settings
191[159.5MB/13.71s] Loading composer repositories with package information
192[160.4MB/14.19s] Updating dependencies (including require-dev)
193[341.0MB/19.47s] Nothing to install or update
194[295.8MB/19.65s] Generating optimized autoload files
195[293.2MB/20.35s] Memory usage: 293.2MB (peak: 341.32MB), time: 20.35s
196[parsoidsvc-php-parsertests] $ /bin/bash -xe /tmp/hudson7574798003272405118.sh
197+ export MW_INSTALL_PATH=src/mediawiki/core
198+ MW_INSTALL_PATH=src/mediawiki/core
199+ /srv/deployment/integration/slave-scripts/bin/mw-install-sqlite.sh
200PHP 5.3.10-1ubuntu3.20+wmf1 is installed.
201Found ImageMagick: /usr/bin/convert.
202Image thumbnailing will be enabled if you enable uploads.
203Found the Git version control software: /usr/bin/git.
204Warning: No --scriptpath specified, using default: /wiki.
205Using server URL "/wiki".
206Warning: Your default directory for uploads (/mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/images/) is not checked for vulnerability
207to arbitrary script execution during the CLI install.
208Using the intl PECL extension for Unicode normalization.
209The environment has been checked.
210You can install MediaWiki.
211Setting up database
212done
213Creating tables
214done
215Populating default interwiki table
216done
217Initializing statistics
218done
219Generating secret keys
220done
221Prevent running unneeded updates
222done
223Creating administrator user account
224done
225Creating main page with default content
226done
227[parsoidsvc-php-parsertests] $ /bin/bash -xe /tmp/hudson1846036984635794027.sh
228+ find -name parserTests.txt -print0
229+ xargs -0 md5sum -b
2301921677b1323302f59833fbcf33fbf57 *./src/mediawiki/core/tests/parser/parserTests.txt
231b2f10ab5f48fde6217eaea7b68aaf395 *./parsoidsvc/tests/parserTests.txt
232+ cd src/mediawiki/core
233+ php tests/parserTests.php --color=no --quiet --file=/mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt
234This is MediaWiki version 1.27alpha (419db58).
235
236Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
237Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
238Passed 1332 of 1332 tests (100%)... ALL TESTS PASSED!
239[PostBuildScript] - Execution post build scripts.
240[parsoidsvc-php-parsertests] $ /bin/bash -xe /tmp/hudson2334448914976688941.sh
241+ /srv/deployment/integration/slave-scripts/bin/mw-teardown.sh
242Finished: SUCCESS

The relevant cloning part is:

INFO:zuul.Cloner:Creating repo mediawiki/services/parsoid from upstream https://gerrit.wikimedia.org/r/p/mediawiki/services/parsoid
DEBUG:zuul.Repo:Resetting repository parsoidsvc
DEBUG:zuul.Repo:Updating repository parsoidsvc
INFO:zuul.Cloner:upstream repo has branch master
DEBUG:zuul.Cloner:Fetched ref refs/zuul/master/Za5900655466c4d38a034fce531013f0b from mediawiki/services/parsoid
DEBUG:zuul.Repo:Checking out e701d9cb3427942185e9bcf670c9a00bffdc7f1c
INFO:zuul.Cloner:Prepared mediawiki/services/parsoid repo with commit e701d9cb3427942185e9bcf670c9a00bffdc7f1c

From some previous craziness we had once upon a time, the parser tests txt files have a md5sum capture for them:

$ find -name parserTests.txt -print0 | xargs -0 md5sum -b
1921677b1323302f59833fbcf33fbf57 *./src/mediawiki/core/tests/parser/parserTests.txt
b2f10ab5f48fde6217eaea7b68aaf395 *./parsoidsvc/tests/parserTests.txt
$

And they pass:

This is MediaWiki version 1.27alpha (419db58).

Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
Passed 1332 of 1332 tests (100%)... ALL TESTS PASSED!
[PostBuildScript] - Execution post build scripts.

When I check out mediawiki/services/parsoid e701d9cb34 , the md5sum match:

projects/mediawiki/services/parsoid((e701d9c...))$ md5sum -b tests/parserTests.txt 
b2f10ab5f48fde6217eaea7b68aaf395 *tests/parserTests.txt

So zuul-cloner has applied the proper patchset.

hashar added a comment.EditedFeb 24 2016, 10:18 PM

The failing build in P2668 has:

cd src/mediawiki/core
php tests/parserTests.php --color=no --quiet --file=/mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt
This is MediaWiki version 1.27.0-alpha (517e327).

Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt

So that is running the tests from parsoid repo.

The passing build in P2669 has:

cd src/mediawiki/core
php tests/parserTests.php --color=no --quiet --file=/mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt
This is MediaWiki version 1.27alpha (419db58).

Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt

Ie it is running test of MediaWiki core (which for a merged commit are know to pass) instead off the ones from parsoid repo (which would have failed).

Somehow the --file parameter passed to MediaWiki tests/parserTests.php command is not honored or overriden by $wgParserTestFiles :-/

hashar closed this task as Resolved.Feb 24 2016, 10:40 PM
hashar assigned this task to MaxSem.
hashar added a project: WorkType-Maintenance.
hashar added a subscriber: MaxSem.

I did a grep on all the build logs still available:

hashar@gallium:~$ grep -o 'Running parser tests.*' /var/lib/jenkins/jobs/parsoidsvc-php-parsertests/builds????/log
6756/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6756/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6757/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6757/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6758/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6758/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6759/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6759/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6760/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6760/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6761/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6761/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6762/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6762/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6763/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6763/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6764/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6764/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6765/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6765/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6766/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6766/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6767/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6767/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6768/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6768/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6769/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6769/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6770/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6770/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6771/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6771/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6772/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6772/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6773/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6773/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6774/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6774/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6775/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6776/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6776/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6777/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6777/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6778/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6778/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6779/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6779/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6780/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6780/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6781/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6781/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6782/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6782/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6783/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6783/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6784/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6784/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6785/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6785/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6786/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6786/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6787/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6787/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6788/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6788/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6789/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6789/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6790/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6790/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6791/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6792/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6792/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6793/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6793/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6794/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6794/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6795/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6795/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6796/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6797/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6798/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6798/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6799/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6799/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6800/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6800/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6801/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6801/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6802/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6802/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6803/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6803/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6804/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6804/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6805/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6805/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6806/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6806/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6807/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6807/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6808/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6808/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6809/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6809/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6810/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6810/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6811/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6811/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6812/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6812/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6813/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6813/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6814/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6814/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6815/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6815/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6816/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6816/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6817/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6817/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6818/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6818/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6819/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6820/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6820/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6821/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6821/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6822/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6822/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6823/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6823/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6824/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6824/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6825/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6825/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6826/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6826/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6827/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6827/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6828/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6828/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6829/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6829/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6830/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6830/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6831/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6831/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6832/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6832/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6833/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6833/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6834/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6834/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6835/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6835/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6836/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6836/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6837/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6837/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6838/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6838/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6839/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6839/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6840/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6840/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6841/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6842/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6842/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6843/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6843/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6844/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6844/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6845/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6845/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6846/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6846/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6847/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6847/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6848/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6848/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6855/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6855/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6856/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6856/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6857/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6857/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6858/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6858/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6859/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6859/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6860/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6860/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6861/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6861/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6862/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6862/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6863/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6863/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6864/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6864/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6865/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6865/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6866/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6866/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6867/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6867/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6868/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6868/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6869/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6869/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6870/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6870/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6871/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6871/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6872/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6872/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6873/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6873/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6874/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6875/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6875/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6876/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6876/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6877/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6877/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6878/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6878/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6879/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6879/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6880/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6880/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6881/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6881/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6882/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6882/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6883/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6883/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6884/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6884/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6885/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6885/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6886/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6886/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6887/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6888/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6888/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6889/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6889/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6890/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6890/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6891/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6891/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6893/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6893/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6894/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6894/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6895/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6895/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6896/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6897/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/parserTests.txt
6897/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/src/mediawiki/core/tests/parser/extraParserTests.txt
6898/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt
6899/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt
6900/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt
6901/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt
6902/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt
6903/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt
6904/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt
6905/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt
6906/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt
6907/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt
6908/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt
6909/log:Running parser tests from: /mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/parsoidsvc/tests/parserTests.txt

So the job has been wrongly using MediaWiki core parser tests instead of the one passed as --file up until 6898 which magically got fixed.

With MediaWiki versions:

$ grep -o -P '(This is MediaWiki version.*|Running parser tests.*)' 689?/log|sed -e 's%/mnt/jenkins-workspace/workspace/parsoidsvc-php-parsertests/%%g'
6895/log:This is MediaWiki version 1.27.0-alpha (342bd60).
6895/log:Running parser tests from: src/mediawiki/core/tests/parser/parserTests.txt
6895/log:Running parser tests from: src/mediawiki/core/tests/parser/extraParserTests.txt
6896/log:This is MediaWiki version 1.27.0-alpha (342bd60).
6896/log:Running parser tests from: src/mediawiki/core/tests/parser/parserTests.txt
6897/log:This is MediaWiki version 1.27.0-alpha (342bd60).
6897/log:Running parser tests from: src/mediawiki/core/tests/parser/parserTests.txt
6897/log:Running parser tests from: src/mediawiki/core/tests/parser/extraParserTests.txt
6898/log:This is MediaWiki version 1.27.0-alpha (517e327).
6898/log:Running parser tests from: parsoidsvc/tests/parserTests.txt
6899/log:This is MediaWiki version 1.27.0-alpha (bdb6d28).
6899/log:Running parser tests from: parsoidsvc/tests/parserTests.txt

So it was still broken in MediaWiki core 342bd60 but fixed in 517e327. The log:

$ git log --oneline 342bd60..517e327
517e327 Merge "JsonContent: Call member functions with '$this->', not 'self::'"
82da532 Merge "Avoid pointless doBatchLookups() query for user contributions"
7c02130 Merge "CachedBagOStuff: cache backend misses"
f63acd7 Merge "Fix class name of BcryptPasswordTest"
5a010ca Merge "Add toggle checkboxes to action=history"
2827bfb Merge "Remove wfCheckEntropy() as unused and deprecated in 1.27"
4193700 Add missing namespace to @covers comments
e7939ff Add missing namespace to @covers comment in LegacyLoggerTest
2eeda9b parserTest: Make $wgResourceBasePath match $wgScriptPath
0e19c04 Merge "Upgrade from PHPunit 3.7.x to PHPUnit 4.8.x"
8cbf74c Merge "Fix parameter parsing in parserTests.php"
8515a2e Merge "Fix resource path check when ResourceBasePath is an empty string"
df4f464 Fix parameter parsing in parserTests.php
2bcf344 CachedBagOStuff: cache backend misses
dbe3499 Upgrade from PHPunit 3.7.x to PHPUnit 4.8.x
69ca735 Avoid pointless doBatchLookups() query for user contributions
a2530a9 Fix resource path check when ResourceBasePath is an empty string
3167a71 JsonContent: Call member functions with '$this->', not 'self::'
d97cc4a Fix class name of BcryptPasswordTest
460ea25 Add toggle checkboxes to action=history
6ad9e97 Remove wfCheckEntropy() as unused and deprecated in 1.27

The fix is df4f4647e8723eca9d52fb946bcbbf941886642c by @MaxSem which added file as a recognized option in tests/parserTests.php

The file parameter has never been defined in parserTests.php. It rely on maintenance/commandLine.inc and thus Maintenance.php. I guess we had some fix that stopped it from recognizing unknown options somehow.

Anyway long story short. The job got broken a long time ago and never tested what it was meant to test. It started failing when the --file handling got fixed by @MaxSem with df4f4647e8723eca9d52fb946bcbbf941886642c

That was a great Wednesday night forensic ;-}